From 038c7058d22132523ff469ef91ce0ec6aa122754 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 27 2024 20:48:42 +0000
Subject: [PATCH 75/220] mostly done


---

diff --git a/rpms/cosmic-desktop/cosmic-desktop.spec b/rpms/cosmic-desktop/cosmic-desktop.spec
index 761dd5d..5d42da9 100644
--- a/rpms/cosmic-desktop/cosmic-desktop.spec
+++ b/rpms/cosmic-desktop/cosmic-desktop.spec
@@ -34,7 +34,6 @@ Recommends:     cosmic-files
 Recommends:     cosmic-greeter
 Recommends:     cosmic-store
 Recommends:     cosmic-term
-Recommends:     system76-power
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index e721307..d9ecd83 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -6,21 +6,31 @@
 
 %global crate cosmic-term
 
+%global ver ###
+%global commit ###
+%global date ###
+
 Name:           cosmic-term
-Version:        0.1.0
+Version:        %{ver}~%{date}
 Release:        %autorelease
-Summary:        # FIXME
+Summary:        Terminal emulator built with Libcosmic.
 
 SourceLicense:  GPL-3.0-only
 # FIXME: paste output of %%cargo_license_summary here
-License:        # FIXME
+License:        GPL-3.0
 # LICENSE.dependencies contains a full license breakdown
 
-URL:            # FIXME
-Source:         # FIXME
-Source:         cosmic-term-0.1.0-vendor.tar.xz
+URL:            https://github.com/pop-os/cosmic-term
+Source:         cosmic-term-%{ver}.tar.xz
+Source:         cosmic-term-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
+BuildRequires:  rustc
+BuildRequires:  lld
+BuildRequires:  cargo
+BuildRequires:  just
+
+BuildRequires:  git-core
 
 %global _description %{expand:
 %{summary}.}
@@ -28,8 +38,9 @@ BuildRequires:  cargo-rpm-macros >= 26
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{version} -p1 -a1
-%cargo_prep -v vendor
+%autosetup -n %{crate}-%{ver} -p1 -a1
+%cargo_prep -N
+cat .vendor/config.toml >> .cargo/config
 
 %build
 %cargo_build
@@ -38,7 +49,7 @@ BuildRequires:  cargo-rpm-macros >= 26
 %{cargo_vendor_manifest}
 
 %install
-%cargo_install
+just rootdir=%{buildroot} prefix=%{_prefix} install
 
 %if %{with check}
 %check
@@ -48,9 +59,18 @@ BuildRequires:  cargo-rpm-macros >= 26
 %files
 %license LICENSE
 %license LICENSE.dependencies
-%license cargo-vendor.txt
+# %%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-term
+%{_datadir}/applications/com.system76.CosmicTerm.desktop
+%{_metainfodir}/com.system76.CosmicTerm.metainfo.xml
+%{_datadir}/icons/hicolor/128x128/apps/com.system76.CosmicTerm.svg
+%{_datadir}/icons/hicolor/16x16/apps/com.system76.CosmicTerm.svg
+%{_datadir}/icons/hicolor/24x24/apps/com.system76.CosmicTerm.svg
+%{_datadir}/icons/hicolor/256x256/apps/com.system76.CosmicTerm.svg
+%{_datadir}/icons/hicolor/32x32/apps/com.system76.CosmicTerm.svg
+%{_datadir}/icons/hicolor/48x48/apps/com.system76.CosmicTerm.svg
+%{_datadir}/icons/hicolor/64x64/apps/com.system76.CosmicTerm.svg
 
 %changelog
 %autochangelog
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 4539b9b..a2d09d7 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -6,22 +6,37 @@
 
 %global crate cosmic-workspaces
 
+%global ver ###
+%global commit ###
+%global date ###
+
 Name:           cosmic-workspaces
-Version:        0.1.0
+Version:        %{ver}~%{date}
 Release:        %autorelease
-Summary:        # FIXME
+Summary:        Workspaces overview for the COSMIC Desktop Environment.
 
-SourceLicense:  None
-# FIXME: paste output of %%cargo_license_summary here
-License:        # FIXME
+SourceLicense:  GPL-3.0
+License:        GPL-3.0
 # LICENSE.dependencies contains a full license breakdown
-# FIXME: No license information in crate metadata.
 
-URL:            # FIXME
-Source:         # FIXME
-Source:         cosmic-workspaces-0.1.0-vendor.tar.xz
+URL:            https://github.com/pop-os/cosmic-workspaces-epoch
+Source:         cosmic-workspaces-%{ver}.tar.xz
+Source:         cosmic-workspaces-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
+BuildRequires:  rustc
+BuildRequires:  lld
+BuildRequires:  cargo
+BuildRequires:  wayland-devel
+BuildRequires:  systemd-devel
+BuildRequires:  libxkbcommon-devel
+BuildRequires:  libglvnd-devel
+BuildRequires:  libseat-devel
+BuildRequires:  libinput-devel
+BuildRequires:  mesa-libgbm-devel
+BuildRequires:  make
+
+Requires:       cosmic-comp
 
 %global _description %{expand:
 %{summary}.}
@@ -29,8 +44,9 @@ BuildRequires:  cargo-rpm-macros >= 26
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{version} -p1 -a1
-%cargo_prep -v vendor
+%autosetup -n %{crate}-%{ver} -p1 -a1
+%cargo_prep -N
+cat .vendor/config.toml >> .cargo/config
 
 %build
 %cargo_build
@@ -39,7 +55,7 @@ BuildRequires:  cargo-rpm-macros >= 26
 %{cargo_vendor_manifest}
 
 %install
-%cargo_install
+make install DESTDIR=%{buildroot} prefix=%{_prefix}
 
 %if %{with check}
 %check
@@ -49,8 +65,10 @@ BuildRequires:  cargo-rpm-macros >= 26
 %files
 %license LICENSE
 %license LICENSE.dependencies
-%license cargo-vendor.txt
+# %%license cargo-vendor.txt
 %{_bindir}/cosmic-workspaces
+%{_datadir}/applications/com.system76.CosmicWorkspaces.desktop
+%{_datadir}/icons/hicolor/scalable/apps/com.system76.CosmicWorkspaces.svg
 
 %changelog
 %autochangelog
